package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pc.entity.CarrierConfig;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface CarrierConfigService extends BaseService<CarrierConfig> {
    CarrierConfig findByTypeDesc(Integer type);

    CarrierConfig checkCarrierNo(String carrierNo);

    CarrierConfig checkStatusCarrierNo(String carrierNo);

    CarrierConfig findCarrierInfoBoxNo(String carrierNo);
}
